Bug 165006 - acct does not have Large File Support
acct does not have Large File Support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
:
Depends On:
Blocks: 158414 168424
  Show dependency treegraph
 
Reported: 2005-08-03 10:48 EDT by Ivana Varekova
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:20:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (444 bytes, patch)
2005-08-11 13:58 EDT, Peter Staubach
no flags Details | Diff

  None (edit)
Description Ivana Varekova 2005-08-03 10:48:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
acct() does not have Large File support. If acct() input file is larger than 2GBs,  acct() does not start process accounting. 

Version-Release number of selected component (if applicable):
kernel-2.4.21-32.EL.ppc64pseries

How reproducible:
Always

Steps to Reproduce:
1. use acct() system call with >2GBs input file. 
2.
3.
  

Actual Results:  accton: File too large

process accounting does not start

Expected Results:  process accounting starts

Additional info:

Ernie Petrides's comment:
I believe the handling for the acct() system call within the kernel needs
to add the O_LARGEFILE flag into the 2nd argument in the call to the
filp_open() function from the sys_acct() function (in kernel/acct.c) to
avoid SIGXFSZ signals being sent to commands while accounting is enabled
and the accounting file has exceeded 2 GBs in size.
Comment 1 Peter Staubach 2005-08-08 15:40:55 EDT
The kernel changes to handle a large accounting file seem fairly obvious.
The change is as Ernie suggests.  The rest of the accounting support in
the kernel looks large file safe.

However, are the user level programs to deal with the accounting file
at least largefile aware or perhaps largefile safe?
Comment 2 Peter Staubach 2005-08-08 15:45:09 EDT
Just dug up the user level code and it does apper to be largefile safe.
Comment 3 Peter Staubach 2005-08-11 13:58:56 EDT
Created attachment 117655 [details]
Proposed patch
Comment 4 Ernie Petrides 2005-09-12 23:26:17 EDT
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.1.EL).
Comment 8 Red Hat Bugzilla 2006-03-15 11:20:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.